Bug 395611 - online attaching of a block-device fails
online attaching of a block-device fails
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2007-11-22 07:39 EST by Thorsten Scherf
Modified: 2009-12-14 16:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-10 10:08:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thorsten Scherf 2007-11-22 07:39:34 EST
Description of problem:
dd if=/dev/zero of=shared.img bs=1M count=500
xm block-attach 1

[root@station100 images]# xm block-list 1
Vdev  BE handle state evt-ch ring-ref BE-path
51712    0    0     4      8      8     /local/domain/0/backend/tap/1/51712  
51728    0    0     3      10     571 
/local/domain/0/backend/vbd/1/51728/var/lib/xen/images/shared.img xvdb w

fdisk -l in the guest doesn't show up the new block device.

Version-Release number of selected component (if applicable):
[root@station100 images]# rpm -q xen
[root@station100 images]# rpm -q kernel-xen
[root@station100 images]# rpm -q libvirt

How reproducible:

Steps to Reproduce:
2. see above
Actual results:
no newb lock device visible in the geust

Expected results:
new block device visible :)

Additional info:
Comment 1 Thorsten Scherf 2007-11-22 07:41:12 EST
attaching command was:
[root@station100 images]# xm block-attach 1 /var/lib/xen/images/shared.img xvdb w

Comment 2 Thorsten Scherf 2008-06-10 08:03:24 EDT
any updates on this?
Comment 4 Chris Lalancette 2008-06-10 09:37:52 EDT
Hm, I believe your block-attach syntax is wrong.

You need:

xm block-attach <domain> tap:aio:/var/lib/xen/images/shared.img /dev/xvdb w

Does that work?

Chris Lalancette
Comment 5 Thorsten Scherf 2008-06-10 10:03:40 EDT
yeah, that fixed it. thanks
Comment 6 Chris Lalancette 2008-06-10 10:08:55 EDT
OK, great.  Going to close as NOTABUG.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.